﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.Diagnostics;

namespace UltraGridCopyRow
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            for(int i=0; i<20; i++) dt.Columns.Add("Col"+i.ToString(),typeof(string));


            for (int j = 0; j < 100000; j++)
            {
                dt.Rows.Add("Item " + j.ToString(), "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S");
            }

            ultraGrid1.DataSource = dt;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            try
            {
                Debug.WriteLine(">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>");
                Debug.WriteLine(DateTime.Now);
                ultraGrid1.DisplayLayout.Override.AllowMultiCellOperations = AllowMultiCellOperation.All;
                ultraGrid1.DisplayLayout.Override.SelectTypeCell = SelectType.Extended;
                ultraGrid1.DisplayLayout.Override.SelectTypeRow = SelectType.Extended;
                ultraGrid1.PerformAction(Infragistics.Win.UltraWinGrid.UltraGridAction.Copy);
                Debug.WriteLine(DateTime.Now);
                Debug.WriteLine(">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>");

            }
            catch (Exception ex)
            { 
                MessageBox.Show("Error: " + ex.Message);
            }
        }
    }
}
